Foxit PDF SDK

Public Member Functions | List of all members
foxit.pdf.CertificateSecurityHandler Class Reference
Inheritance diagram for foxit.pdf.CertificateSecurityHandler:

## Public Member Functions
| CertificateSecurityHandler ()
| Constructor.
| CertificateSecurityHandler (SecurityHandler other)
| Constructor, with parent class object. More...
bool | Initialize (CertificateEncryptData encrypt_data, byte[] encrypt_key)
| Initialize current certificate security handler. More...
Public Member Functions inherited from foxit.pdf.SecurityHandler
| SecurityHandler ()
| Constructor.
| SecurityHandler (SecurityHandler other)
| Constructor, with another security handler object. More...
virtual PDFDoc.EncryptType | GetSecurityType ()
| Get the encryption type of current security handler. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...

## Additional Inherited Members
Public Types inherited from foxit.pdf.SecurityHandler
enum | CipherType { CipherType.e_CipherNone = 0, CipherType.e_CipherRC4 = 1, CipherType.e_CipherAES = 2 }
| Enumeration for Encryption Algorithm. More...

## Detailed Description

This class represents a certificate security handler, used for certificate encryption.

See also
  SecurityHandler

## Constructor & Destructor Documentation

## ◆ CertificateSecurityHandler()

foxit.pdf.CertificateSecurityHandler.CertificateSecurityHandler | ( | SecurityHandler | other | ) |
| inline

Constructor, with parent class object.

Parameters

  [in] | other | Parent class object.

## Member Function Documentation

## ◆ Initialize()

bool foxit.pdf.CertificateSecurityHandler.Initialize | ( | CertificateEncryptData | encrypt_data,
|  | byte [] | encrypt_key
| ) |  |
| inline

Initialize current certificate security handler.

Parameters

  [in] | encrypt_data | A certificate encrypt data object. In the encryption data, cipher type should not be foxit.pdf.SecurityHandler.CipherType.e_CipherNone .
  [in] | encrypt_key | The key for encryption. For foxit.pdf.SecurityHandler.CipherType.e_CipherRC4 cipher, the length of encryption key should be between 5 and 16. For foxit.pdf.SecurityHandler.CipherType.e_CipherAES cipher, the length of encryption key should be 16 or 32.

Returns
  true means success, while false means failure.